.site-header {
  position: absolute;
  top: 48px;
  width: 100%;
  z-index: 9999;
}
body.no-scroll {
    overflow: hidden;
        height: 100dvh;
}


/* .site-header .container {
  background: rgba(0, 0, 0, 0.7);
  border-radius: 60px;
} */

.site-header .container,
.header-right__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-right__wrapper {
  gap: 70px;
}

.site-logo a {
  display: block;
}

.site-logo img {
  width: 220px;
  height: 55px;
}

.nav-menu {
  display: flex;
  gap: 68px
}

.site-header .menu-item a {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  text-align: center;
  color: #fff;
  text-decoration: none;
}

.start-now-btn {
  display: flex;
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  text-align: center;
  color: var(--primary-p-1);
  text-decoration: none;
  padding: 10px 31.5px;
  border-radius: 100px;
  background: linear-gradient(332deg, #2800fd 15.62%, #0acaff 88.54%);
}

.mobile-btn__menu {
  display: none;
}


@media(max-width: 990px) {
    
    .current_page_item a {
        font-weight: 700 !important;
        color: #fff !important;
    }

    .site-header .menu-item a {
      font-family: var(--font-family);
      font-weight: 400;
      font-size: 16px;
      text-align: center;
      color: #808080;
      text-decoration: none;
    }
    
    .site-mob-logo {
        position: relative;
        z-index: 99;
    }
    
  .header-menu {
    position: absolute;
    top: -12px;
    width: calc(100% - 50px);
    left: 0;
    z-index: -10;
    opacity: 0;
    visibility: hidden;
    height: 100vh;
  }
  
  .menu-header-container {
    padding-top: 100px;
    text-align: center;
  }

  .mobile-btn__menu {
    position: relative;
    border: 0px solid #fff;
    padding: 9px 10px 8px 10px;
    border-radius: 1px;
    z-index: 99;
  }

  .header-menu__active {
    z-index: 1;
    opacity: 1;
    visibility: visible;
    background-color: #000;
    padding: 25px;
    min-height: 500px;
  }

  .header-menu .nav-menu {
    display: flex;
    flex-direction: column;
    gap: 12px
  }
  

  
  .site-header .menu-item {
    padding: 15px 0px;
    
  }

  .header-menu__active + .mobile-btn__menu svg {
    opacity: 0;
    visibility: hidden;
    position: absolute;
  }

  .mobile-btn__close {
    opacity: 0;
    visibility: hidden;
    position: absolute;
  }

  .header-menu__active + .mobile-btn__menu .mobile-btn__close {
    opacity: 1;
    visibility: visible;
    position: static;
    color: #fff;
    font-size: 25px;
  }
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
        background-color: #000000;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000;
    
}

.loader {
    position: relative;
    width: 120px;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    @media(max-width: 990px) {
    
    }
}

.loader::before {
    content: "";
    position: absolute;
    width: 90px;
    height: 91px;
    background-image: url('../../../../uploads/2025/03/algopro-logo.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
    @media(max-width: 767px) {
    width: 45px;
    height: 45px;
    }
}

.loader::after {
    content: "";
        position: absolute;
    width: 250px;
    height: 250px;
    
    border-radius: 50%;
    background-image: url('../../../../uploads/2025/03/Property-1Variant3.svg');
   
   animation: rotate 1.665s linear infinite;
   @media(max-width: 767px) {
    background-size: 50%;
   
    background-position: center;
    background-repeat: no-repeat;
    }
}
@keyframes rotate {
    0% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

/*@keyframes fillGradient {
    to {
        stroke-dashoffset: 0;
    }
}
@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes flicker {
    0% {
        opacity: 1; 
    }
    100% {
        opacity: 0.3;
    }
}*/